Redmine - Defect #17579

Edit Watchers List Loses Checked Watchers When Performing Multiple Searches

2014-07-29 14:44 - Brandon Liles

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version:

Resolution: Duplicate Affected version: 242
Description

When editing the watchers list on an issue, if you search for a user, click their name but do not click "Add", and then perform a new

search, the clicked contact is lost.

It would be more intuitive if checked watchers were not lost by doing a new search. The search could filter the user list client-side

instead of requiring server round trips, and this would prevent the clicked contacts from being lost.

Related issues:

Related to Redmine - Patch #28771: Allow adding multiple entities when perfor... New
Has duplicate Redmine - Defect #18916: Adding Multiple Watchers - Doesn't add... Closed

Is duplicate of Redmine - Defect #17071: Adding Watchers UX Is Not Clean

New

History

#1 - 2014-08-27 18:17 - Toshi MARUYAMA
- Related to Defect #17071: Adding Watchers UX Is Not Clean added

#2 - 2015-01-21 07:08 - Mischa The Evil

- Has duplicate Defect #18916: Adding Multiple Watchers - Doesn't add when you re-search users. added

#3 - 2015-01-21 21:38 - James H
+1in2.6.0

I think it would be good if either the system "remembers" previously checked options or the system adds or removes watchers in "real-time" as the

user is clicking.

#4 - 2016-11-11 14:53 - Luka Ludicke

| tested the patch from #17071#note-1 (which is two years old) and it fixes the issue. When will it be applied?

btw: that is a good example where the select2 widget could provide a elegant solution https:/select2.github.io/examples.html#multiple

#5 - 2018-05-15 00:28 - Marius BALTEANU

- Related to Patch #28771: Allow adding multiple entities when performing multiple searches in modals added

#6 - 2018-05-15 00:31 - Marius BALTEANU
- Status changed from New to Closed

- Resolution set to Duplicate

I've added some proposals to fix this behaviour in #28771.

I'm closing this ticket as duplicate of #17071.

#7 - 2018-05-15 00:32 - Marius BALTEANU
- Related to deleted (Defect #17071: Adding Watchers UX Is Not Clean)

#8 - 2018-05-15 00:32 - Marius BALTEANU
- Is duplicate of Defect #17071: Adding Watchers UX Is Not Clean added
